Bug 1374898 - Review Request: quasselc - API to access a Quassel Core in pure C
Summary: Review Request: quasselc - API to access a Quassel Core in pure C
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1374899
TreeView+ depends on / blocked
 
Reported: 2016-09-10 06:55 UTC by Ben Rosser
Modified: 2016-12-07 16:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-02 21:25:04 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Ben Rosser 2016-09-10 06:55:50 UTC
Spec URL: https://tc01.fedorapeople.org/quassel/quassel-irssi/libquasselc.spec
SRPM URL: https://tc01.fedorapeople.org/quassel/quassel-irssi/libquasselc-0-0.1.20160909git.fc24.src.rpm
Description: An implementation of the Quassel protocol in pure C.
Fedora Account System Username: tc01

Comment 1 Igor Gnatenko 2016-09-10 07:28:10 UTC
> Name: libquasselc
I think we should take original name - quasselc or QuasselC (depending how upstream feel)

> Release:        0.1.20160909git%{?dist}
This is allowed, but I would prefer to have in format %{gitdate}git%{shortcommit}

> License:        GPLv3
GPLv3+

> Source0:        libquassel-20160909git.tar.gz
https://fedoraproject.org/wiki/Packaging:SourceURL#Commit_Revision

Comment 2 Ben Rosser 2016-09-10 21:52:48 UTC
Whoops. I'd apparently forgotten that github URLs worked like that, my bad! Fixed, also added the hash to the release tag.

Renamed to "quasselc" (upstream's makefile installs files into /usr/include/quasselc so this name is acceptable). I wasn't entirely sure which name would be better. 

Spec URL: https://tc01.fedorapeople.org/quassel/quassel-irssi/quasselc.spec
SRPM URL: https://tc01.fedorapeople.org/quassel/quassel-irssi/quasselc-0-0.1.20160909gitfcd9669.fc24.src.rpm

Comment 3 Ben Rosser 2016-09-12 02:20:13 UTC
Actually, now I'm not sure I've gotten the release tag correct. Is the leading zero required in this case, if Version: 0?

Comment 4 Igor Gnatenko 2016-09-12 10:04:54 UTC
> BuildRequires:  gcc, glib2
BuildRequires: gcc
BuildRequires: pkgconfig(glib-2.0)

* It even fails to build
* Looks like missing BuildRequires: zlib-devel (LDLIBS:=$(shell pkg-config glib-2.0 --libs) -lz)

it doesn't matter if you have leading zero or not.

Comment 5 Ben Rosser 2016-09-13 00:27:31 UTC
My bad, fixed that (and removed the leading zero from Release). Let's try this again. :)

Spec URL: https://tc01.fedorapeople.org/quassel/quassel-irssi/quasselc.spec
SRPM URL: https://tc01.fedorapeople.org/quassel/quassel-irssi/quasselc-0-1.20160909gitfcd9669.fc24.src.rpm

Comment 6 Ben Rosser 2016-10-24 01:10:50 UTC
Are you still interested in this review?

Comment 7 Igor Gnatenko 2016-11-19 18:46:22 UTC
* %global shortcommit0 fcd9669 -> %global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

quasselc.x86_64: W: shared-lib-calls-exit /usr/lib64/libquasselc.so.0 exit@GLIBC_2.2.5
-> worth reporting upstream

quasselc.x86_64: W: undefined-non-weak-symbol /usr/lib64/libquasselc.so.0 handle_backlog
quasselc.x86_64: W: undefined-non-weak-symbol /usr/lib64/libquasselc.so.0 handle_message
quasselc.x86_64: W: undefined-non-weak-symbol /usr/lib64/libquasselc.so.0 handle_sync
quasselc.x86_64: W: undefined-non-weak-symbol /usr/lib64/libquasselc.so.0 handle_event
-> same

Comment 8 Ben Rosser 2016-11-19 19:35:01 UTC
Thanks for the review!

Upstream bugs filed:

* https://github.com/phhusson/QuasselC/issues/4

* https://github.com/phhusson/QuasselC/issues/5

Comment 9 Gwyn Ciesla 2016-11-20 16:42:16 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/quasselc

Comment 10 Fedora Update System 2016-11-20 19:04:55 UTC
quasselc-0-1.20160909gitfcd9669.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e77aa3e943

Comment 11 Fedora Update System 2016-11-20 19:05:31 UTC
quasselc-0-1.20160909gitfcd9669.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52876b00d4

Comment 12 Fedora Update System 2016-11-20 19:08:52 UTC
quasselc-0-1.20160909gitfcd9669.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-944a599e8f

Comment 13 Fedora Update System 2016-11-22 22:22:04 UTC
quasselc-0-1.20160909gitfcd9669.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-944a599e8f

Comment 14 Fedora Update System 2016-11-23 20:31:03 UTC
quasselc-0-1.20160909gitfcd9669.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52876b00d4

Comment 15 Fedora Update System 2016-11-23 23:05:25 UTC
quasselc-0-1.20160909gitfcd9669.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e77aa3e943

Comment 16 Fedora Update System 2016-12-02 21:25:04 UTC
quasselc-0-1.20160909gitfcd9669.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-12-03 10:56:32 UTC
quasselc-0-1.20160909gitfcd9669.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-12-07 16:19:51 UTC
quasselc-0-1.20160909gitfcd9669.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.